searchData={"items":[{"type":"module","title":"TowerErrorTracker","doc":"The module that needs to be added to the list of Tower reporters.","ref":"TowerErrorTracker.html"},{"type":"module","title":"Example - TowerErrorTracker","doc":"config :tower, :reporters, [TowerErrorTracker]","ref":"TowerErrorTracker.html#module-example"},{"type":"extras","title":"TowerErrorTracker","doc":"# TowerErrorTracker\n\n[![ci](https://github.com/mimiquate/tower_error_tracker/actions/workflows/ci.yml/badge.svg?branch=main)](https://github.com/mimiquate/tower_error_tracker/actions?query=branch%3Amain)\n[![Hex.pm](https://img.shields.io/hexpm/v/tower_error_tracker.svg)](https://hex.pm/packages/tower_error_tracker)\n[![Documentation](https://img.shields.io/badge/Documentation-purple.svg)](https://hexdocs.pm/tower_error_tracker)\n\n[Tower](https://github.com/mimiquate/tower) reporter for [ErrorTracker](https://github.com/elixir-error-tracker/error-tracker).","ref":"readme.html"},{"type":"extras","title":"Installation - TowerErrorTracker","doc":"Package can be installed by adding `tower_error_tracker` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:tower_error_tracker, \"~> 0.3.4\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - TowerErrorTracker","doc":"Tell `Tower` to inform `TowerErrorTracker` reporter about errors.\n\n```elixir\n# config/config.exs\n\nconfig(\n  :tower,\n  :reporters,\n  [\n    # along any other possible reporters\n    TowerErrorTracker\n  ]\n)\n```\n\nAnd configure and set up `:error_tracker` new database tables by following just these two ErrorTracker sections:\n\n- [Configure](https://github.com/elixir-error-tracker/error-tracker/blob/main/guides/Getting%20Started.md#configuring-errortracker)\n- [Set up the database](https://github.com/elixir-error-tracker/error-tracker/blob/main/guides/Getting%20Started.md#setting-up-the-database)\n\n\nThat's it.\n\nIt will try report any errors (exceptions, throws or abnormal exits) within your application. That includes errors in\nany plug call (including Phoenix), Oban job, async task or any other Elixir process.","ref":"readme.html#usage"},{"type":"extras","title":"Manual reporting - TowerErrorTracker","doc":"You can manually report errors just by informing `Tower` about any manually caught exceptions, throws or abnormal exits.\n\n\n```elixir\ntry do\n  # possibly crashing code\nrescue\n  exception ->\n    Tower.report_exception(exception, __STACKTRACE__)\nend\n```\n\nMore details on https://hexdocs.pm/tower/Tower.html#module-manual-reporting.","ref":"readme.html#manual-reporting"},{"type":"extras","title":"License - TowerErrorTracker","doc":"Copyright 2024 Mimiquate\n\nLicensed under the Apache License, Version 2.0 (the \"License\");\nyou may not use this file except in compliance with the License.\nYou may obtain a copy of the License at\n\n    http://www.apache.org/licenses/LICENSE-2.0\n\nUnless required by applicable law or agreed to in writing, software\ndistributed under the License is distributed on an \"AS IS\" BASIS,\nWITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\nSee the License for the specific language governing permissions and\nlimitations under the License.","ref":"readme.html#license"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.35.1"}}